Skip to main content
System Management/Single Sign-On Server Interfaces
GETSingle Sign-On Server InterfacesSince 4.3.0SynchronousAuth Required

Get LDAP/AD Entries

Get LDAP/AD Entries

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • ldapFilterStringRequired

    Query filter

  • ldapServerUuidString

    UUID of the LDAP server used for the query. If not specified, the system uses the UUID of the currently active LDAP server.

  • systemTagsList

    System tags

  • userTagsList

    User tags

  • limitInteger

    Maximum number of records to return, similar to MySQL limit

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    No description provided.

  • errorErrorCodeRequired

    Error code. If not null, the operation has failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. The globally unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null.

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if no root error exists.

Endpoint

GET/zstack/v1/ldap/entry

/zstack/v1/ldap/entry

Operation ID

GetLdapEntry

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ldap/entry?ldapFilter=<ldapFilter>&ldapServerUuid=<ldapServerUuid>&systemTags=<systemTags>&userTags=<userTags>&limit=1' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [] }

Change History

This API has no change history records yet.

View all change history